# Uses of Class
org.opensaml.xmlsec.encryption.support.KeyEncryptionParameters

Packages that use KeyEncryptionParameters
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of KeyEncryptionParameters in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type KeyEncryptionParameters
Modifier and Type
Field
Description
`private List<KeyEncryptionParameters>`
Encrypter.`kekParamsList`
The parameters to use for encrypting (wrapping) the data encryption key.
Constructors in org.opensaml.saml.saml2.encryption with parameters of type KeyEncryptionParameters
Modifier
Constructor
Description
``
`Encrypter(DataEncryptionParameters dataEncParams, KeyEncryptionParameters keyEncParam)`
Constructor.
Constructor parameters in org.opensaml.saml.saml2.encryption with type arguments of type KeyEncryptionParameters
Modifier
Constructor
Description
``
`Encrypter(DataEncryptionParameters dataEncParams, List<KeyEncryptionParameters> keyEncParams)`
Constructor.

## Uses of KeyEncryptionParameters in org.opensaml.xmlsec.encryption.support

Methods in org.opensaml.xmlsec.encryption.support with parameters of type KeyEncryptionParameters
Modifier and Type
Method
Description
`protected void`
Encrypter.`checkParams(KeyEncryptionParameters kekParams, boolean allowEmpty)`
Check key encryption parameters for consistency and required values.
`EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, KeyEncryptionParameters kekParams)`
Encrypts the DOM representation of the XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey within the EncryptedData's KeyInfo.
`EncryptedData`
Encrypter.`encryptElementContent(XMLObject xmlObject, DataEncryptionParameters encParams, KeyEncryptionParameters kekParams)`
Encrypts the DOM representation of the content of an XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey within the EncryptedData's KeyInfo..
`EncryptedKey`
Encrypter.`encryptKey(Key key, KeyEncryptionParameters kekParams, Document containingDocument)`
Encrypts a key.
Method parameters in org.opensaml.xmlsec.encryption.support with type arguments of type KeyEncryptionParameters
Modifier and Type
Method
Description
`protected void`
Encrypter.`checkParams(List<KeyEncryptionParameters> kekParamsList, boolean allowEmpty)`
Check a list of key encryption parameters for consistency and required values.
`protected void`
Encrypter.`checkParams(DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList)`
Check the encryption parameters and key encryption parameters for valid combinations of options.
`EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList)`
Encrypts the DOM representation of the XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey(s) within the EncryptedData's KeyInfo.
`private EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList, boolean encryptContentMode)`
Encrypts the given XMLObject using the specified encryption key, algorithm URI and content mode flag.
`EncryptedData`
Encrypter.`encryptElementContent(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList)`
Encrypts the DOM representation of the content of an XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey(s) within the EncryptedData's KeyInfo..
`List<EncryptedKey>`
Encrypter.`encryptKey(Key key, List<KeyEncryptionParameters> kekParamsList, Document containingDocument)`
Encrypts a key once for each key encryption parameters set that is supplied.